Help me install Math::Pari

Posted by deepya on 2012-06-01 06:05
Forums: PPM | OS: Debian / Ubuntu

Iam trying to run a script to open ssh connect to a server.
i got the following error
Can't locate Math/Pari.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/local/share/perl/5.10.0/Net/SSH/Perl/Util/SSH2MP.pm line 6, line 1.
BEGIN failed--compilation aborted at /usr/local/share/perl/5.10.0/Net/SSH/Perl/Util/SSH2MP.pm line 6, line 1.
Compilation failed in require at /usr/local/share/perl/5.10.0/Net/SSH/Perl/Util.pm line 56, line 1.
BEGIN failed--compilation aborted at /usr/local/share/perl/5.10.0/Net/SSH/Perl/Kex/DH1.pm line 10, line 1.
Compilation failed in require at /usr/local/share/perl/5.10.0/Net/SSH/Perl/Kex.pm line 6, line 1.
BEGIN failed--compilation aborted at /usr/local/share/perl/5.10.0/Net/SSH/Perl/Kex.pm line 6, line 1.
Compilation failed in require at /usr/local/share/perl/5.10.0/Net/SSH/Perl/SSH2.pm line 6, line 1.
BEGIN failed--compilation aborted at /usr/local/share/perl/5.10.0/Net/SSH/Perl/SSH2.pm line 6, line 1.
Compilation failed in require at /usr/local/share/perl/5.10.0/Net/SSH/Perl.pm line 52, line 1.

i tried to install it from CPAN site but i get one more error

cpan[11]> install Math::Pari
Running install for module 'Math::Pari'
Running make for I/IL/ILYAZ/modules/Math-Pari-2.01080605.tar.gz
Has already been unwrapped into directory /root/.cpan/build/Math-Pari-2.01080605-DXNW5x
'/usr/bin/perl Makefile.PL INSTALLDIRS=site' returned status 2304, won't make
Running make test
Make had some problems, won't test
Running make install
Make had some problems, won't install

pnerges | Mon, 2012-08-13 15:43

Is this the whole error? I'd look for something in the error that mentions gcc. I had the same issue on cygwin. I ended up installing gcc-4 and also libcompat but I think it was just looking for a specific version of gcc.